## TpSignalledMessage TpSignalledMessage — a message received using the Telepathy message interface |

## Synopsis

    #include <telepathy-glib/telepathy-glib.h>

                        TpSignalledMessage;
    TpContact *         tp_signalled_message_get_sender     (TpMessage *message);

## Object Hierarchy

      GObject
       +----TpMessage
             +----TpSignalledMessage

## Properties

      "sender"                   TpContact*            : Read / Write / Construct Only

## Description

TpSignalledMessage is used within Telepathy clients to represent a message signalled by a connection manager. This can either be a message received from someone else, confirmation that a message has been sent by the local user, or a delivery report indicating that delivery of a message has succeeded or failed.

## Details

### TpSignalledMessage

    typedef struct _TpSignalledMessage TpSignalledMessage;

Opaque structure representing a received message using the Telepathy messages interface

Since 0.13.9

### tp_signalled_message_get_sender ()

    TpContact *         tp_signalled_message_get_sender     (TpMessage *message);

Returns a TpContact representing the sender of `message` if known, `NULL` otherwise.

`message` : | a TpSignalledMessage
Returns : | the sender of the message. [transfer none]

Since 0.13.9

## Property Details

### The `"sender"` property

      "sender"                   TpContact*            : Read / Write / Construct Only

A TpContact representing the sender of the message, if known, or `NULL` otherwise.

Since 0.13.9